Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.management
Class DocumentServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  cascading.CascadingException
                      cascading.management.DocumentServiceException

All Implemented Interfaces:
  Serializable

    public class DocumentServiceException

extends CascadingException

Exception DocumentServiceException is thrown from within a `DocumentService` instance.

See Also:
  Serialized Form

Constructor Summary
`DocumentServiceException()`
`DocumentServiceException(String string)`
`DocumentServiceException(String string, Throwable throwable)`
`DocumentServiceException(Throwable throwable)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentServiceException

    public DocumentServiceException()

### DocumentServiceException

    public DocumentServiceException(String string)

### DocumentServiceException

    public DocumentServiceException(String string,
                                    Throwable throwable)

### DocumentServiceException

    public DocumentServiceException(Throwable throwable)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.